#!/usr/bin/perl
use strict;
use warnings;
use Coligacao;
use Partido;
use Vereador;
use GerenciaEleicao;

my $nomeArquivo = $ARGV[0];

if (open(my $arquivo, '<', $nomeArquivo)) {
	my $buffer = <$arquivo>; # Ignora o cabeçalho.
	my $votosTotais = 0;
	my $vagas = 0;
	my $voto = 0;
	while ($buffer = <$arquivo>) {
		my @linha = split ';', $buffer; # Divide a string pelo delimitador ';'.
		my @partido = split ' - ', $linha[3]; # Divide a substring pelo delimitador ' - ' (para partido/coligação).
		$voto = $linha[4];
		$voto =~ s/\.//; # Retira o '.' da string.
		$votosTotais += $voto; # Incrementa com os votos totais.
		if($linha[0] =~ m/\*/){ # Se o vereador foi eleito.
			$vagas++; # Incrementa as vagas possíveis.			
			if(@partido > 1){ # Se o partido possui coligação.
				addAll(1, $linha[1], $linha[2], $partido[0], $partido[1], $voto);
			}else{ # Se o partido não possui coligação.
				addAll(1, $linha[1], $linha[2], $partido[0], $voto);
			}
		}else{ # Se o vereador não foi eleito.
			if(@partido > 1){ # Se o partido possui coligação.
				addAll(0, $linha[1], $linha[2], $partido[0], $partido[1], $voto);
			}else{ # Se o partido não possui coligação.
				addAll(0, $linha[1], $linha[2], $partido[0], $voto);
			}
		}
	}

	# Imprime os relatórios.
	print "Número de vagas: " . $vagas . "\n\n";
	relatorioVereadoresEleitos;
	relatorioVotacaoColigacoes;
	relatorioVotacaoPartidos;
	print "Total de votos nominais: " . $votosTotais . "\n";
} else {
	warn "Não foi possível abrir o arquivo $arquivo $!";
}